Groupes
Lister les membres du groupe
Lister les membres du groupe d’authentification du compte
GET
/
v1
/
public
/
accounts
/
{account_id}
/
auth
/
groups
/
{group_id}
/
members
Lister les membres du groupe d’authentification du compte
curl --request GET \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/groups/{group_id}/members \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/groups/{group_id}/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/groups/{group_id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group_id": "<string>",
"page": 123,
"page_size": 123,
"total": 123,
"groups": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "<string>",
"keycloak_name": "<string>",
"name": "<string>",
"attributes": {},
"description": "<string>",
"keycloak_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linked_scopes": [
{
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_type": "<string>"
}
],
"parent_id": "<string>",
"path": "<string>",
"permission_context": {
"assigned_bundle_keys": [
"<string>"
],
"direct_capability_keys": [
"<string>"
],
"owner_assignments": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"resolved_capability_keys": [
"<string>"
],
"status": "active",
"subject_id": "",
"subject_type": "unknown"
},
"subgroup_ids": [
"<string>"
]
}
],
"linked_scopes": [
{
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_type": "<string>"
}
],
"members": [
{
"resolved": true,
"subject_id": "<string>",
"subject_type": "<string>",
"group": {
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "<string>",
"keycloak_name": "<string>",
"name": "<string>",
"attributes": {},
"description": "<string>",
"keycloak_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linked_scopes": [
{
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_type": "<string>"
}
],
"parent_id": "<string>",
"path": "<string>",
"permission_context": {
"assigned_bundle_keys": [
"<string>"
],
"direct_capability_keys": [
"<string>"
],
"owner_assignments": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"resolved_capability_keys": [
"<string>"
],
"status": "active",
"subject_id": "",
"subject_type": "unknown"
},
"subgroup_ids": [
"<string>"
]
},
"user": {
"id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"username": "<string>"
}
}
],
"search": "<string>",
"users": [
{
"id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"username": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorisations
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Réponse
Hide child attributes
Hide child attributes
Instantané d’inspectabilité partagé pour la gestion des utilisateurs, des groupes et des invitations.
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Instantané d’inspectabilité partagé pour la gestion des utilisateurs, des groupes et des invitations.
Hide child attributes
Hide child attributes
Cette page vous a-t-elle été utile ?
⌘I
Lister les membres du groupe d’authentification du compte
